## unadf 0.7.11a

=== Makefile ===
# General Makefile for ADFlib files

LIBDIR=Lib
TESTDIR=Test
DEMODIR=Demo
LIBNAME=libadf.a

LIBVERSION=0.7.11a
LIBDATE="January 20th, 2007"

#to generate unadf-1.0-1.i386.rpm
VERSION=1.0
RELEASE=1
INSTDIR=/usr/local/unadf

all: demo tests lib

lib: $(LIBDIR)/$(LIBNAME)
	cp $(LIBDIR)/$(LIBNAME) ./Bin/Linux/

$(LIBDIR)/$(LIBNAME): Lib/defendian.h
	cd $(LIBDIR) && $(MAKE)

clean:
	cd $(LIBDIR) && ($(MAKE) clean || true)
	cd $(TESTDIR) && ($(MAKE) clean || true)
	cd $(DEMODIR) && ($(MAKE) clean || true)
	rm -rf PKG *~ unadf*.rpm
	rm -f unadf-${VERSION}.spec

dep Lib/defendian.h:
	cd $(LIBDIR) && ($(MAKE) dep || true)
	cd $(TESTDIR) && ($(MAKE) dep || true)
	cd $(DEMODIR) && ($(MAKE) dep || true)

zip:
	($(MAKE) clean) || true
	(rm adflib.zip) || true
	zip -9r adflib.zip Lib Docs Faq Bin/Linux gen_spec.sh FilesToInstall \
		Boot Demo Makefile README.txt COPYING.txt CHANGES.txt AUTHORS.txt *.dsp *.dsw

dist:	zip	
	cd Dist && dist.sh

preprpm: demo
	mkdir -p PKG/${INSTDIR}
	cp Demo/unadf PKG/${INSTDIR}
	strip PKG/${INSTDIR}/unadf

rpm:	unadf-${VERSION}.spec preprpm 
	rpmbuild -bb unadf-${VERSION}.spec
	cp /usr/src/redhat/RPMS/i386/unadf-${VERSION}-${RELEASE}.i386.rpm .

unadf-${VERSION}.spec: gen_spec.sh
	./gen_spec.sh ${VERSION} ${RELEASE} unadf FilesToInstall >unadf-${VERSION}.spec

zipdump:
	(rm adfdump.zip) || true
	zip -9r dumps.zip Dumps Test

binw32:
	(rm binw32.zip) || true
	zip -9r binw32.zip Bin/Win32

backup:
	cp -f adflib.zip dumps.zip /mnt/winc/Laurent/

demo $(DEMODIR)/unadf: $(LIBDIR)/$(LIBNAME)
	cd $(DEMODIR) &&  $(MAKE)

tests: $(LIBDIR)/$(LIBNAME)
	cd $(TESTDIR) && $(MAKE)

	echo
	echo "floppy tests"
	cd $(TESTDIR) && ./floppy.sh

	echo 
	echo "big devices tests"
	cd $(TESTDIR) && ./bigdev.sh

=== Demo/Makefile ===
# unadf

LIBDIR=../Lib
LIBNAME=libadf.a

DEPEND=makedepend

CFLAGS=-I$(LIBDIR) -O2 -Wall -Wno-uninitialized -pedantic
LDFLAGS=-L$(LIBDIR) -ladf

EXES= unadf


all: $(EXES)

run: $(EXES)
	unadf -h
	unadf -lrcs -v 1 ../../hd.adf

lib:
	cd $(LIBDIR) && $(MAKE)

unadf: lib unadf.o
	$(CC) $(CFLAGS) -o $@ unadf.o $(LDFLAGS)

clean:
	(rm *.o $(EXES) core newdev *.exe *~) || true
	echo >.depend

dep:
	$(DEPEND) -f.depend -v -- $(CFLAGS) --  *.[ch]


include .depend

=== Lib/Makefile ===
# ADFLib Makefile for Unix platforms
# tested on Solaris 2.6 and Linux 2.0.36 (RedHat 5.2) 


# real devices routines location
NATIV_DIR = ./Generic

VER=0.7.11
LIBS=libadf.a
SHAREDLIB=libadf.so

AR=ar rc
RANLIB=ranlib
TAR=tar

DEFINES= 

CFLAGS=$(DEFINES) -I${NATIV_DIR} -I.. -I. -Wall -O2 -pedantic

CC=gcc 
DEPEND=makedepend

LDFLAGS=-L. -ladf
LDSHARED=$(CC)

OBJS=	 adf_hd.o adf_disk.o adf_raw.o adf_bitm.o adf_dump.o\
        adf_util.o adf_env.o adf_nativ.o adf_dir.o adf_file.o adf_cache.o \
        adf_link.o adf_salv.o

libadf.a: $(OBJS)
	$(AR) $@ $(OBJS)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

$(SHAREDLIB).$(VER): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIB).1
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIB).1


# to define LITT_ENDIAN on little endian machines (intel)
# checks for sizeof(long)=4, sizeof(short)=2, sizeof(int)=4
defendian.h: myconf 
	(./myconf || true)

adf_nativ.o: ${NATIV_DIR}/adf_nativ.c ${NATIV_DIR}/adf_nativ.h
	$(CC) ${CFLAGS} -c ${NATIV_DIR}/adf_nativ.c

clean:
	(rm $(OBJS) $(EXE) defendian.h $(LIBS) $(SHAREDLIB) *~ Win32/*~ Generic/*~) || true
	echo >.depend

src:
	@rm adflib.zip
	@zip -9r adflib.zip *.h *.c Makefile myconf Docs Linux Win32 Refs runtest

dep: defendian.h
	$(DEPEND) -f.depend -v -- $(CFLAGS) --  *.[ch]

include .depend

=== debian/changelog ===
unadf (0.7.11a-6) unstable; urgency=medium

  * QA upload.
  * Really apply security fixes for CVE-2016-1243/CVE-2016-1244, they
    were not actually applied in the 0.7.11a-4 upload
    (Closes: #838248, #1053098)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 22 Nov 2023 19:37:12 +0100

unadf (0.7.11a-5) unstable; urgency=medium

  * QA upload.
  * Upgrade to debhelper compatibility level 13. Closes: #965855.
  * Remove remote monitoring from the FAQ.
  * Enable all hardening options.
  * Update debian/watch to point at the current repository.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.6.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Dec 2021 18:05:25 +0100

unadf (0.7.11a-4) unstable; urgency=high

  * Orphan package with security issues.
  * Tuomas Räsänene discoveried two security issues (Closes: #838248):
    - CVE-2016-1243: stack buffer overflow caused by blindly trusting on
    pathname lengths of archived files.
    - CVE-2016-1244: execution of unsanitized input.
  * Standards-Version: 3.9.8

 -- Luciano Bello <luciano@debian.org>  Sat, 24 Sep 2016 11:43:06 -0400

unadf (0.7.11a-3) unstable; urgency=low

  * QA upload.
  * Updated debian/rules:
    - now dh is used instead of direct dh_* commands
    - fixed FTBFS because of invalid clean section (Closes: #676065)
  * Updated debian/unadf.1: fixed lintian note hyphen-used-as-minus-sign.
  * Added file debian/patches/add-hardening-flags-in-compiler-options.
  * Added debian/unadf.doc-base:
    fixed lintian note possible-documentation-but-no-doc-base-registration.
  * Updated debian/control:
    ixed lintian note extended-description-is-probably-too-short.
  * Updated debian/copyright:
    file was updated in according to Copyright format 1.0.
  * Deleted debian/source/options.
  * Added debian/watch.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 19 Jun 2012 23:26:34 +0300

unadf (0.7.11a-2) unstable; urgency=low

  [ Axel Beckert ]
  * QA Upload of orphaned package (cf. #661461)
  * Set QA Group as Maintainer. (Closes: #675221)
  * Add patch to make it work on 64 bit architectures (Closes: #458129)
  * Add Homepage field
  * Ignore .depend files modified by built system
  * Fix lintian warnings:
    + copyright-refers-to-symlink-license
    + copyright-with-old-dh-make-debian-copyright
  * Reword long description

  [ Gürkan Sengün ]
  * Added debian/source/format, switch to format 3.0 (quilt)
  * Bump standards version to 3.9.3.
  * Bump debhelper version to 8.
  * debian/rules: updated.

 -- Axel Beckert <abe@debian.org>  Sun, 03 Jun 2012 04:49:22 +0200

unadf (0.7.11a-1) unstable; urgency=low

  * Initial release. (Closes: #148007)
    - Added Win32/ to includes of defendian.h.
    - Removed double */ comment typo.
  * Rebuilt the tarball (zip file unpacks to ./)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun,  7 Jan 2007 15:02:25 +0100

=== debian/control ===
Source: unadf
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: http://lclevy.free.fr/adflib/unadf.html
Rules-Requires-Root: no

Package: unadf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extract files from an Amiga Disk File dump (.adf)
 Tool for extracting and listing files in an Amiga Disk File.
 .
 Amiga Disk File aka ADF is a file format used by Amiga computers and emulators
 to store images of disks. ADF is not really a file format but actually a
 track-by-track dump of the disk data as read by the Amiga operating system,
 and so the "format" is really fixed-width AmigaDOS data tracks appended one
 after another and held in a file.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -DLib
	dh_auto_build -DDemo

override_dh_auto_clean:
	[ ! -f Lib/adf_salv.o ] || dh_auto_clean -DLib
	[ ! -f Demo/unadf.o ] || dh_auto_clean -DDemo
	rm -f Lib/libadf.a
	rm -f build-stamp

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt
